

<!-- BEGIN: Subheader -->
<div class="m-subheader ">
	<div class="d-flex align-items-center">
		<div class="mr-auto">
			<h3 class="m-subheader__title m-subheader__title--separator">
				Periksa Tugas
			</h3>
			<ul class="m-subheader__breadcrumbs m-nav m-nav--inline">
				<li class="m-nav__separator">
					<i class="m-menu__link-icon flaticon-interface-1"></i> Daftar
				</li>
				<li class="m-nav__separator">
					-
				</li>
				<li class="m-nav__item">
					<a href="" class="m-nav__link">
						<span class="m-nav__link-text">
							Periksa Tugas
						</span>
					</a>
				</li>
			</ul>
		</div>
	</div>
</div>

<?php
if ($this->input->get('msg') == 'success') { ?>
	<script>
		$(document).ready(function() {
			swal('Meneruskan Task Ke Manajemen Atas Berhasil', '', 'success');
		});
	</script>
<?php } elseif ($this->input->get('msg') == 'failed	') { ?>
	<script>
		$(document).ready(function() {
			swal('Meneruskan Task Ke Manajemen Atas Gagal', '', 'error');
		});
	</script>
<?php } elseif ($this->input->get('msg') == 'successtolak') { ?>
	<script>
		$(document).ready(function() {
			swal('Kembalikan Task Ke Kadep Berhasil', '', 'success');
		});
	</script>
<?php } elseif ($this->input->get('msg') == 'failedtolak') { ?>
	<script>
		$(document).ready(function() {
			swal('Kembalikan Task Ke Kadep Gagal', '', 'error');
		});
	</script>
<?php }; ?>
<!-- END: Subheader -->
<div class="m-content">
	<div class="row">
		<div class="col-lg-12">


			<div class="m-portlet m-portlet--mobile ">
				<div class="m-portlet__head">
					<div class="m-portlet__head-caption">
						<div class="m-portlet__head-title">
							<h3 class="m-portlet__head-text">
								<i class="flaticon-suitcase"></i> Ada <?php echo count($get) ?> Tugas
							</h3>
							<div style="position: absolute;right: 25px;">
								<?= form_open('task/list_check'); ?>
								<div class="input-group" style="margin-top: 0;">
									<input type="text" id="judul" name="judul" class="form-control m-input--air" placeholder="Cari judul Task.">
									<button class="input-group-addon">
										Cari
									</button>
								</div>
								<?= form_close(); ?>
							</div>
						</div>
					</div>
				</div>
				<?php $no = 1;
				foreach ($get as $net) { ?>
					<div class="list-group">
						<div class="list-group-item">
							<!-- <a href="javascript:void(0);"> -->
							<div class="row">
								<div class="col-lg-10 col-md-10 col-sm-10 col-xs-10">
									<div class="text-left">
										<label style="font-weight: 600;font-size: 13pt"><?php echo $no . '. ' . $net->JudulTask; ?></label>
									</div>
								</div>
								<div class="col-lg-2 col-md-2 col-sm-2 col-xs-2" style="text-align:right">
									<?php if ($net->gabung1 != NULL) { ?>
										<button class="btn btn-default btn-sm" style="font-weight: 600;background:green;color: white">
											GABUNGAN
										</button>
									<?php } else { } ?>
								</div>
							</div>
							<?php if ($net->gabung1 != NULL) { ?>
								<b style="color:#000"><strong>Gabungan:</strong><br />
									<?php foreach ($gethdr as $gab1) {
												if ($net->gabung1 == $gab1->TaskID) {
													echo "Task 1. " . $gab1->JudulTask;
												}
											} ?><br />
									<?php foreach ($gethdr as $gab2) {
												if ($net->gabung2 == $gab2->TaskID) {
													echo "Task 2. " . $gab2->JudulTask;
												}
											} ?></b><br />
							<?php } ?>
							<b style="color:#000"><strong>Penjelasan:</strong><br />
								<?php echo $net->Penjelasan; ?><br />
								<strong>Tujuan:</strong><br />
								<?php echo $net->Objektif; ?>
								<br />
								<strong>PIC Pengirim Tugas:</strong><br />
								<?php echo $net->CreatedBy; ?>
								<br />
								<strong>Departemen yang Terlibat:</strong><br />
								<?php foreach ($getDept as $get) : $dept = explode(",", $net->Dept);
										for ($i = 0; $i < count($dept); $i++) {
											if ($dept[$i] == $get->DeptID) {
												echo $get->NamaDept . ', ';
											}
										}
									endforeach; ?><br />
								<strong>Pengguna yang Terlibat:</strong><br />
								<?php $a2 = "";
									$ct = count($getUsergroup);
									$i = 0;
									foreach ($getUsergroup as $fet) :
										if ($net->TaskID == $fet->TaskID) {
											if ($i == 0) {
												$a2 = $fet->NamaUser;
											} else {
												$a2 = $a2 . ', ' . $fet->NamaUser;
											}
											$i++;
										}
									endforeach;
									?>
								<?= $a2; ?><br />
								<strong>Estimasi Biaya:</strong><br />
								Rp. <?php echo number_format($net->Biaya, 2, ',', '.');
										?></b><br />
							<!-- </a>     -->
							<div class="row">
								<!-- <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12"> -->
								<div style="color:#2b982b" class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
									<label class="font-green" style="font-weight: 500">Mulai : <?php echo date('d-m-Y', strtotime($net->tanggal_mulai)) ?></label>
								</div>
								<div style="color:#2b982b" class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
									<label class="font-green" style="float:right;font-weight: 500;">Target Selesai : <?php echo date('d-m-Y', strtotime($net->tanggal_selesai)) ?></label>
								</div>
							</div>
							<div class="row">
								<div style="color:#2b982b" class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
									<a type="button" class="btn btn-md btn-success" href="<?php echo site_url('task/detail_check') . "/" . $net->TaskID; ?>" id="<?php echo $net->TaskID ?>"><i class="fa fa-eye"></i> Lihat Sub Tugas</a>
								</div>
								<div style="color:#2b982b" class="col-lg-6 col-md-6 col-sm-6 col-xs-6" style="text-align:right">
									<button type="button" style="float:right" class="btn btn-md btn-brand" data-toggle="modal" data-target="#m_update" id="<?php echo $net->TaskID ?>" onclick="getValue(this.id)" id="<?php echo $net->TaskID ?>"><i class="fa fa-send"></i> Diteruskan</button>
								</div>
							</div>
						</div>
					</div>
				<?php $no++;
				} ?>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="m_update" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content" id="div_tampil"></div>
	</div>
</div>


<script type="text/javascript">
	$(document).ready(function() {
		$('#html_table').mDatatable({
			'pagination': false,
			"columnDefs": [{
				"className": "dt-center",
				"targets": "_all"
			}],
			'columns': [{
				field: "Pilih",
				width: 50,
			}, {
				field: "Departemen Terkait",
				width: 200
			}, {
				field: "Task",
				width: 200
			}, {
				field: "Penjelasan",
				width: 300
			}, {
				field: "PIC Manajemen Atas",
				width: 250
			}, {
				field: "Keterangan",
				width: 300
			}, {
				field: "Aksi",
				width: 70
			}]
		});
	})

	function checkedin() {
		var ace = document.getElementsByClassName('ace');
		var pic = document.getElementsByClassName('pic');

		for (var i = 0; i < ace.length; i++) {
			if (ace[i].checked) {
				pic[i].disabled = false;
			} else {
				pic[i].disabled = true;
			}
		}
	}

	$(document).ready(function() {
		$('.pic').select2();
	})

	function getValue(clicked_id) {
		// alert(clicked_id);
		$.post("<?php echo site_url() ?>task/tlo_teruskan/" + clicked_id,
			function(data) {
				$('#div_tampil').html(data);
			});
		$('#m_update').modal('show');
	}

	function required() {
		var judul = document.forms["form1"]["judul"].value;
		if (judul == "") {
			alert("Form input tidak boleh kosong.");
			return false;
		} else {
			return true;
		}
	}
</script>